Accepting request 359936 from Base:System

1

OBS-URL: https://build.opensuse.org/request/show/359936
OBS-URL: https://build.opensuse.org/package/show/openSUSE:Factory/dracut?expand=0&rev=86
This commit is contained in:
Dominique Leuenberger 2016-02-25 20:59:14 +00:00 committed by Git OBS Bridge
commit b201bd1797
6 changed files with 99 additions and 5 deletions

View File

@ -40,13 +40,15 @@ Index: dracut-044/modules.d/90kernel-network-modules/module-setup.sh
# called by dracut
installkernel() {
# Include wired net drivers, excluding wireless
@@ -63,6 +82,10 @@ installkernel() {
@@ -63,6 +82,12 @@ installkernel() {
=drivers/net/ethernet \
ecb arc4 bridge stp llc ipv6 bonding 8021q af_packet virtio_net xennet
hostonly="" instmods iscsi_ibft crc32c iscsi_boot_sysfs
+
+ if running_in_qemu; then
+ hostonly='' instmods virtio_net e1000 8139cp pcnet32 e100 ne2k_pci
+ else
+ return 0
+ fi
}

View File

@ -0,0 +1,29 @@
From: Fabian Vogt <fvogt@suse.com>
Subject: fcoe-uefi: Add check for usage
References: boo#965477
fcoe-uefi gets included by default on EFI systems,
as it does not do the same check that fcoe does,
therefore needlessly pulling in network modules.
This patch copies the check from fcoe to fcoe-uefi.
---
modules.d/95fcoe-uefi/module-setup.sh | 5 +++++
1 file changed, 5 insertions(+)
Index: dracut-044/modules.d/95fcoe-uefi/module-setup.sh
===================================================================
--- dracut-044.orig/modules.d/95fcoe-uefi/module-setup.sh
+++ dracut-044/modules.d/95fcoe-uefi/module-setup.sh
@@ -4,6 +4,11 @@
check() {
[[ $hostonly ]] || [[ $mount_needs ]] && {
[ -d /sys/firmware/efi ] || return 255
+ for c in /sys/bus/fcoe/devices/ctlr_* ; do
+ [ -L $c ] || continue
+ fcoe_ctlr=$c
+ done
+ [ -z "$fcoe_ctlr" ] && return 255
}
require_binaries dcbtool fipvlan lldpad ip readlink || return 1
return 0

View File

@ -0,0 +1,32 @@
From: Fabian Vogt <fvogt@suse.com>
Subject: Fix warning about multipath if not needed
Although no device uses multipath, the module checks
for presence of the multipath binary first, printing a
warning if not present. This patch fixes the wrong ordering.
---
modules.d/90multipath/module-setup.sh | 5 +++--
1 file changed, 3 insertions(+), 2 deletions(-)
Index: dracut-044/modules.d/90multipath/module-setup.sh
===================================================================
--- dracut-044.orig/modules.d/90multipath/module-setup.sh
+++ dracut-044/modules.d/90multipath/module-setup.sh
@@ -20,13 +20,14 @@ majmin_to_mpath_dev() {
# called by dracut
check() {
local _rootdev
- # if there's no multipath binary, no go.
- require_binaries multipath || return 1
[[ $hostonly ]] || [[ $mount_needs ]] && {
for_each_host_dev_and_slaves is_mpath || return 255
}
+ # if there's no multipath binary, no go.
+ require_binaries multipath || return 1
+
return 0
}

View File

@ -1,8 +1,17 @@
Index: b/modules.d/50plymouth/module-setup.sh
Index: dracut-044/modules.d/50plymouth/module-setup.sh
===================================================================
--- a/modules.d/50plymouth/module-setup.sh
+++ b/modules.d/50plymouth/module-setup.sh
@@ -14,9 +14,10 @@ depends() {
--- dracut-044.orig/modules.d/50plymouth/module-setup.sh
+++ dracut-044/modules.d/50plymouth/module-setup.sh
@@ -3,6 +3,8 @@
# called by dracut
check() {
[[ "$mount_needs" ]] && return 1
+ # Don't include plymouth if plymouth-dracut package not installed
+ [ -x /usr/lib/plymouth/plymouth-populate-initrd ] || return 1
require_binaries plymouthd plymouth plymouth-set-default-theme
}
@@ -14,9 +16,10 @@ depends() {
# called by dracut
install() {
PKGLIBDIR="/usr/lib/plymouth"

View File

@ -1,3 +1,21 @@
-------------------------------------------------------------------
Fri Feb 12 11:34:33 UTC 2016 - fvogt@suse.com
- Add 0211-fix_multipath_check_hostonly.patch:
- Fix warning about multipath
-------------------------------------------------------------------
Wed Feb 10 12:00:35 UTC 2016 - fvogt@suse.com
- Modify 0300-dracut_dont_use_dpkg_defaults_on_SUSE.patch:
- Don't try to include plymouth if plymouth-dracut pkg. not installed
-------------------------------------------------------------------
Tue Feb 9 10:37:30 UTC 2016 - fvogt@suse.com
- Add 0210-add_fcoe_uefi_check.patch:
- Only install fcoe-uefi module if needed (boo#965477)
-------------------------------------------------------------------
Sat Feb 6 19:16:32 UTC 2016 - fvogt@suse.com

View File

@ -117,6 +117,8 @@ Patch206: 0206-nfs_dns_alias.patch
Patch207: 0207-handle_module_aliases.patch
Patch208: 0208-no_forced_virtnet.patch
Patch209: 0209-fix_modules_load_d_hostonly.patch
Patch210: 0210-add_fcoe_uefi_check.patch
Patch211: 0211-fix_multipath_check_hostonly.patch
## SUSE-specific fixes
Patch300: 0300-dracut_dont_use_dpkg_defaults_on_SUSE.patch
@ -269,6 +271,8 @@ chmod a+x modules.d/91zipl/install_zipl_cmdline.sh
%patch207 -p1
%patch208 -p1
%patch209 -p1
%patch210 -p1
%patch211 -p1
%patch300 -p1
%patch301 -p1